
Redmine - Defect #3978

Broken CustomValues after 'User groups branch merged' commit @2869

2009-10-06 14:59 - Alexander Oryol

Status: Closed Start date: 2009-10-06

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

After commit @2869 user custom values not accessible.

For fix need update table 'custom_values' replace 'customized_type' = 'User' to 'Principal'.

CustomValues.find(:all, :conditions => ['customized_type = ?', 'User']).each do |custom_value|

custom_value.update_attribute(:customized_type, 'Principal')

end

Associated revisions

Revision 2905 - 2009-10-10 12:16 - Jean-Philippe Lang

Fixes User/CustomValue association broken by r2869 (#3978).

History

#1 - 2009-10-10 12:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fix committed in r2905. Thanks for pointing this out.
